Bug 2254005 (CVE-2023-6186)

Summary: CVE-2023-6186 libreoffice: Insufficient macro permission validation leading to macro execution
Product: [Other] Security Response Reporter: ybuenos
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedKeywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: LibreOffice 7.5.9, LibreOffice 7.6.4 Doc Type: If docs needed, set a value
Doc Text:
An insufficient permission validation vulnerability was found in LibreOffice. In versions that support running commands in hyperlinks, an attacker can execute built-in macros without warning the user.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2254006    
Bug Blocks: 2254007    

Description ybuenos 2023-12-11 13:44:46 UTC
Insufficient macro permission validation of The Document Foundation LibreOffice allows an attacker to execute built-in macros without warning.

In affected versions LibreOffice supports hyperlinks with macro or similar built-in command targets that can be executed when activated without warning the user.

https://www.libreoffice.org/about-us/security/advisories/cve-2023-6186

Comment 1 ybuenos 2023-12-11 13:44:59 UTC
Created libreoffice tracking bugs for this issue:

Affects: fedora-all [bug 2254006]

Comment 8 errata-xmlrpc 2024-03-25 17:40:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Advanced Mission Critical Update Support
  Red Hat Enterprise Linux 8.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.4 Telecommunications Update Service

Via RHSA-2024:1480 https://access.redhat.com/errata/RHSA-2024:1480

Comment 9 errata-xmlrpc 2024-03-26 11:44:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions

Via RHSA-2024:1512 https://access.redhat.com/errata/RHSA-2024:1512

Comment 10 errata-xmlrpc 2024-03-26 12:14:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:1514 https://access.redhat.com/errata/RHSA-2024:1514

Comment 11 errata-xmlrpc 2024-03-26 12:14:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.8 Extended Update Support

Via RHSA-2024:1513 https://access.redhat.com/errata/RHSA-2024:1513